/*******************************************************************
HILBEX
version 0.1, 1 Oct 2016

This file is part of the software package Hilbex by Herman
Haverkort. Use and distribution of this software is subject to
restrictions. Consult readme.txt for details, or download it from
http://spacefillingcurves.net/.
*******************************************************************/

#declare BackgroundColour = color red 0 green 0.7 blue 0.40;
#declare TubeWidth = 0.045;
#macro Colour(tvalue)
  #local minhue = 1.2*pi;
  #local maxhue = 2.1*pi;
  #local purple = 1.62*pi;
  #local mintan = tan((minhue-purple)/1.15);
  #local maxtan = tan((maxhue-purple)/1.15);
  #local hue = purple + 1.15*atan2(mintan + (maxtan-mintan)*tvalue, 1);
  #local bottom = 0;
  #local top = 1.0;
  #local amplitude = (top - bottom) / 2;
  #local thered = max((bottom+2*amplitude*pow(0.5+0.5*cos(hue),2)),0);
  #local thegreen = max((bottom+2*amplitude*pow(0.5+0.5*cos(hue-2*pi/3),2)),0);
  #local theblue = max((bottom+2*amplitude*pow(0.5+0.5*cos(hue-4*pi/3),2)),0);
  color red thered green thegreen blue theblue
#end
#include "wire.inc"


